# Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh Class Reference

Class for loading and rendering file-based meshes. More...

List of all members.

## Public Member Functions
BaseTexture | GetTexture (int index)
| Gets a texture from the mesh.
Material | GetMaterial (int index)
| Gets a material from the mesh.
| FrameworkMesh (Device device, string name)
| Create a new mesh using this file.
| FrameworkMesh ()
| Create a new mesh.
void | Create (Device device, string name)
| Create the mesh data.
void | CreateMaterials (string folder, Device device, GraphicsStream adjacency, ExtendedMaterial[] materials)
| Create the materials for the mesh.
void | SetVertexFormat (Device device, VertexFormats format)
| Updates the mesh to a new vertex format.
void | SetVertexDeclaration (Device device, VertexElement[] decl)
| Updates the mesh to a new vertex declaration.
void | Render (Device device, bool canDrawOpaque, bool canDrawAlpha)
| Renders this mesh.
void | Render (Device device)
| Renders this mesh.
float | ComputeBoundingSphere (out Vector3 center)
| Compute a bounding sphere for this mesh.
void | Dispose ()
| Cleans up any resources required when this object is disposed.
BaseTexture | GetTexture (int index)
| Gets a texture from the mesh.
Material | GetMaterial (int index)
| Gets a material from the mesh.
| FrameworkMesh (Device device, string name)
| Create a new mesh using this file.
| FrameworkMesh ()
| Create a new mesh.
void | Create (Device device, string name)
| Create the mesh data.
void | CreateMaterials (string folder, Device device, GraphicsStream adjacency, ExtendedMaterial[] materials)
| Create the materials for the mesh.
void | SetVertexFormat (Device device, VertexFormats format)
| Updates the mesh to a new vertex format.
void | SetVertexDeclaration (Device device, VertexElement[] decl)
| Updates the mesh to a new vertex declaration.
void | Render (Device device, bool canDrawOpaque, bool canDrawAlpha)
| Renders this mesh.
void | Render (Device device)
| Renders this mesh.
float | ComputeBoundingSphere (out Vector3 center)
| Compute a bounding sphere for this mesh.
void | Dispose ()
| Cleans up any resources required when this object is disposed.
BaseTexture | GetTexture (int index)
| Gets a texture from the mesh.
Material | GetMaterial (int index)
| Gets a material from the mesh.
| FrameworkMesh (Device device, string name)
| Create a new mesh using this file.
| FrameworkMesh ()
| Create a new mesh.
void | Create (Device device, string name)
| Create the mesh data.
void | CreateMaterials (string folder, Device device, GraphicsBuffer adjacency, MaterialList materials)
| Create the materials for the mesh.
void | SetVertexFormat (Device device, VertexFormats format)
| Updates the mesh to a new vertex format.
void | SetVertexDeclaration (Device device, VertexElement[] decl)
| Updates the mesh to a new vertex declaration.
void | Render (Device device, bool canDrawOpaque, bool canDrawAlpha)
| Renders this mesh.
void | Render (Device device)
| Renders this mesh.
BoundingSphere | ComputeBoundingSphere ()
| Compute a bounding sphere for this mesh.
void | Dispose ()
| Cleans up any resources required when this object is disposed.
## Properties
Mesh | SystemMesh`[get]`
| Returns the system memory mesh.
Mesh | LocalMesh`[get]`
| Returns the local memory mesh.
bool | IsUsingMaterials`[get, set]`
| Should the mesh be rendered with materials.
int | NumberMaterials`[get]`
| Number of materials in mesh.

## Detailed Description

Class for loading and rendering file-based meshes.

Definition at line 15 of file dxmutmesh.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.FrameworkMesh | ( | Device | device,
|  | string | name |
| ) |  |  |

Create a new mesh using this file.

Definition at line 42 of file dxmutmesh.cs.

Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.FrameworkMesh | ( |  | ) |

Create a new mesh.

Definition at line 48 of file dxmutmesh.cs.

Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.FrameworkMesh | ( | Device | device,
|  | string | name |
| ) |  |  |

Create a new mesh using this file.

Definition at line 42 of file dxmutmesh.cs.

Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.FrameworkMesh | ( |  | ) |

Create a new mesh.

Definition at line 48 of file dxmutmesh.cs.

Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.FrameworkMesh | ( | Device | device,
|  | string | name |
| ) |  |  |

Create a new mesh using this file.

Definition at line 42 of file wdxmutmesh.cs.

Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.FrameworkMesh | ( |  | ) |

Create a new mesh.

Definition at line 48 of file wdxmutmesh.cs.

## Member Function Documentation

BoundingSphere Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.ComputeBoundingSphere | ( |  | ) |

Compute a bounding sphere for this mesh.

Definition at line 326 of file wdxmutmesh.cs.

float Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.ComputeBoundingSphere | ( | out Vector3 | center | ) |

Compute a bounding sphere for this mesh.

Definition at line 327 of file dxmutmesh.cs.

float Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.ComputeBoundingSphere | ( | out Vector3 | center | ) |

Compute a bounding sphere for this mesh.

Definition at line 327 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Create | ( | Device | device,
|  | string | name |
| ) |  |  |

Create the mesh data.

Definition at line 51 of file wdxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Create | ( | Device | device,
|  | string | name |
| ) |  |  |

Create the mesh data.

Definition at line 51 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Create | ( | Device | device,
|  | string | name |
| ) |  |  |

Create the mesh data.

Definition at line 51 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.CreateMaterials | ( | string | folder,
|  | Device | device,
|  | GraphicsBuffer | adjacency,
|  | MaterialList | materials |
| ) |  |  |

Create the materials for the mesh.

Definition at line 104 of file wdxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.CreateMaterials | ( | string | folder,
|  | Device | device,
|  | GraphicsStream | adjacency,
|  | ExtendedMaterial[] | materials |
| ) |  |  |

Create the materials for the mesh.

Definition at line 105 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.CreateMaterials | ( | string | folder,
|  | Device | device,
|  | GraphicsStream | adjacency,
|  | ExtendedMaterial[] | materials |
| ) |  |  |

Create the materials for the mesh.

Definition at line 105 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Dispose | ( |  | ) |

Cleans up any resources required when this object is disposed.

Definition at line 352 of file wdxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Dispose | ( |  | ) |

Cleans up any resources required when this object is disposed.

Definition at line 356 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Dispose | ( |  | ) |

Cleans up any resources required when this object is disposed.

Definition at line 356 of file dxmutmesh.cs.

Material Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.GetMaterial | ( | int | index | ) |

Gets a material from the mesh.

Definition at line 37 of file wdxmutmesh.cs.

Material Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.GetMaterial | ( | int | index | ) |

Gets a material from the mesh.

Definition at line 37 of file dxmutmesh.cs.

Material Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.GetMaterial | ( | int | index | ) |

Gets a material from the mesh.

Definition at line 37 of file dxmutmesh.cs.

Here is the caller graph for this function:

BaseTexture Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.GetTexture | ( | int | index | ) |

Gets a texture from the mesh.

Definition at line 35 of file wdxmutmesh.cs.

BaseTexture Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.GetTexture | ( | int | index | ) |

Gets a texture from the mesh.

Definition at line 35 of file dxmutmesh.cs.

BaseTexture Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.GetTexture | ( | int | index | ) |

Gets a texture from the mesh.

Definition at line 35 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Render | ( | Device | device | ) |

Renders this mesh.

Definition at line 321 of file wdxmutmesh.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Render | ( | Device | device,
|  | bool | canDrawOpaque,
|  | bool | canDrawAlpha |
| ) |  |  |

Renders this mesh.

Definition at line 282 of file wdxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Render | ( | Device | device | ) |

Renders this mesh.

Definition at line 322 of file dxmutmesh.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Render | ( | Device | device,
|  | bool | canDrawOpaque,
|  | bool | canDrawAlpha |
| ) |  |  |

Renders this mesh.

Definition at line 283 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Render | ( | Device | device | ) |

Renders this mesh.

Definition at line 322 of file dxmutmesh.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.Render | ( | Device | device,
|  | bool | canDrawOpaque,
|  | bool | canDrawAlpha |
| ) |  |  |

Renders this mesh.

Definition at line 283 of file dxmutmesh.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.SetVertexDeclaration | ( | Device | device,
|  | VertexElement[] | decl |
| ) |  |  |

Updates the mesh to a new vertex declaration.

Definition at line 201 of file wdxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.SetVertexDeclaration | ( | Device | device,
|  | VertexElement[] | decl |
| ) |  |  |

Updates the mesh to a new vertex declaration.

Definition at line 202 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.SetVertexDeclaration | ( | Device | device,
|  | VertexElement[] | decl |
| ) |  |  |

Updates the mesh to a new vertex declaration.

Definition at line 202 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.SetVertexFormat | ( | Device | device,
|  | VertexFormats | format |
| ) |  |  |

Updates the mesh to a new vertex format.

Definition at line 163 of file wdxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.SetVertexFormat | ( | Device | device,
|  | VertexFormats | format |
| ) |  |  |

Updates the mesh to a new vertex format.

Definition at line 164 of file dxmutmesh.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkMesh.SetVertexFormat | ( | Device | device,
|  | VertexFormats | format |
| ) |  |  |

Updates the mesh to a new vertex format.

Definition at line 164 of file dxmutmesh.cs.

## Property Documentation

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkMesh::IsUsingMaterials`[get, set]`

Should the mesh be rendered with materials.

Definition at line 31 of file dxmutmesh.cs.

Mesh Microsoft::Samples::DirectX::UtilityToolkit.FrameworkMesh::LocalMesh`[get]`

Returns the local memory mesh.

Definition at line 29 of file dxmutmesh.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkMesh::NumberMaterials`[get]`

Number of materials in mesh.

Definition at line 33 of file dxmutmesh.cs.

Mesh Microsoft::Samples::DirectX::UtilityToolkit.FrameworkMesh::SystemMesh`[get]`

Returns the system memory mesh.

Definition at line 27 of file dxmutmesh.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutmesh.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutmesh.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutmesh.cs